# Angular Date-Picker : ngk-date-picker

Angular 2+ based datepicker package

<p align="center">
  <img src="https://raw.githubusercontent.com/kvirrik/ng-date-picker/master/docs/datepicker.png">
</p>

## Demo

View datepicker demo in action at https://kvirrik.github.io/ng-date-picker/

## Dependencies

- [Angular](https://angular.io/) (tested with 6.0.0)
- [Typescript](https://www.typescriptlang.org/)

## Instalation

After installing the above dependencies, install `ngk-date-picker` via:

```shell
npm install --save ngk-date-picker
```

Once installed you need to import our main module:

```js
import { DatePickerModule } from 'ngk-date-picker';
```

The only remaining part is to list the imported module in your application module.

```js
import { DatePickerModule } from 'ngk-date-picker';

@NgModule({
  declarations: [AppComponent, ...],
  imports: [DatePickerModule, ...],  
  bootstrap: [AppComponent]
})
export class AppModule {
}
```

## Example

#### Template-Driven Forms

```html
  <ngk-date-picker [(ngModel)]="date"></ngk-date-picker>
```

#### Reactive Forms

```html
  <ngk-date-picker formControlName="date"></ngk-date-picker>
```

## Additional Attributes

| Name         | Type   | Default      | Description            |
| ------------ | ------ | ------------ | ---------------------- |
| `dateFormat` | string | `YYYY-MM-DD` | change date format     |
| `(change)`   | event  |              | handles emitted change |

## Run Included Demo

1.  Clone this repository

```sh
git clone https://github.com/kvirrik/ng-date-picker.git
```

2.  Install packages

```sh
npm install
```

3.  Run Demo

```sh
npm start
```

## Licence

MIT
